function sort_data()

% mi = [25 7 1; 20 6 2; 19 8 3; 23 9 3];
% mixyz = [1 2 3 4 5 6 7 8 9 10 11 12]';
% ts = [28 1 2; 29 3 4; 27 3 1; 26 2 4; 30 4 1; 38 2 1];
Na = 12;

fname1 = sprintf('LJ%ddata/LJ%dmin_data.txt',Na,Na);
fname2 = sprintf('LJ%ddata/LJ%dmin_xyz.txt',Na,Na);
fname3 = sprintf('LJ%ddata/LJ%dts_data.txt',Na,Na);
if Na < 14
    fname4 = sprintf('Connect_data/connect%dand%d.txt',Na,Na+1);
end
fname5 = sprintf('Connect_data/connect%dand%d.txt',Na-1,Na);

mi = load(fname1);
Nmin = size(mi,1);
mixyz = load(fname2);
ts = load(fname3);
if Na < 14
    p1 = load(fname4);
end
p2 = load(fname5);

vmin = mi(:,1);
[vsort,isort] = sort(vmin,'ascend');
iisort(isort) = [1 : Nmin]';
misort = mi(isort,:);

fname_sort = sprintf('LJ%ddata/LJ%dsort_data.txt',Na,Na);
fid = fopen(fname_sort,'w');
for k = 1 : Nmin
    fprintf(fid,'%d\t%d\t%d\n',k,isort(k),iisort(k));
end
fclose(fid);


[m,n] = size(mixyz);
mixyzsort = zeros(3*Nmin,n);
for j = 1 : Nmin
    k = isort(j);
    mixyzsort((j - 1)*3 + 1 : j*3,:) = mixyz((k - 1)*3 + 1 : k*3,:);
end

i1 = ts(:,5);
i2 = ts(:,6);
i1sort = iisort(i1);
i2sort = iisort(i2);
tssort = ts;
tssort(:,5) = i1sort;
tssort(:,6) = i2sort;

if Na < 14
    m1 = p1(:,1);
    p1(:,1) = iisort(m1);
    [psort,pisort] = sort(p1(:,1),'ascend');
    p1 = p1(pisort,:);
end

m2 = p2(:,2);
p2(:,2) = iisort(m2);

    

% write files
fid = fopen(fname1,'w');
for j = 1 : Nmin
    fprintf(fid,'%.10f\t%.10f\t%d\n',misort(j,1),misort(j,2),misort(j,3));
end
fclose(fid);
fid = fopen(fname2,'w');
[m n] = size(mixyzsort);
for j = 1 : m
    fprintf(fid,'%.10f\t',mixyzsort(j,:)); 
    fprintf(fid,'\n');
end
fclose(fid);
fid = fopen(fname3,'w');
[m n] = size(tssort);
for j = 1 : m
    fprintf(fid,'%.10f\t%.10f\t%.10f\t%d\t%d\t%d\n',...
        tssort(j,1),tssort(j,2),tssort(j,3),tssort(j,4),tssort(j,5),tssort(j,6));
end
fclose(fid);

if Na < 14
    fid = fopen(fname4,'w');
    m = size(p1,1);
    for j = 1 : m
        fprintf(fid,'%d\t%d\t%.4e\n',p1(j,1),p1(j,2),p1(j,3));
    end
    fclose(fid);
end

fid = fopen(fname5,'w');
m = size(p2,1);
for j = 1 : m
    fprintf(fid,'%d\t%d\t%.4e\n',p2(j,1),p2(j,2),p2(j,3));
end
fclose(fid);
end