function transition_rate()
Na = 13;
tem = 0.08;
tsindex = 88;

mi = load(sprintf('LJ%ddata/LJ%dmin_data.txt',Na,Na));
ts = load(sprintf('LJ%ddata/LJ%dts_data.txt',Na,Na));

Vsad = ts(tsindex,1);
frsad = ts(tsindex,2); 
lam = ts(tsindex,3); 
pgosad = ts(tsindex,4); 
mi1 = ts(tsindex,5);
mi2 = ts(tsindex,6);

Vmin = mi(mi1,1); 
frmin = mi(mi1,2); 
pgomin = mi(mi1,3);

rate = (pgomin/pgosad)*lam*exp(0.5*(frmin - frsad) - (Vsad - Vmin)/tem)*0.5/pi;
fprintf('%d --> %d, rate = %d\n',mi1,mi2,rate);


